Bug 1804321 - rebase elfutils for rhel 8.3
Summary: rebase elfutils for rhel 8.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: elfutils
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Mark Wielaard
QA Contact: Martin Cermak
Zuzana Zoubkova
URL:
Whiteboard:
Depends On:
Blocks: 1498615 1825061
TreeView+ depends on / blocked
 
Reported: 2020-02-18 17:00 UTC by Frank Ch. Eigler
Modified: 2021-09-17 14:55 UTC (History)
4 users (show)

Fixed In Version: elfutils-0.180-1.el8
Doc Type: Enhancement
Doc Text:
.`elfutils` rebased to version 0.180 The `elfutils` package has been updated to version 0.180, which provides multiple bug fixes and enhancements. Notable changes include: * Better support for debug info for code built with GCC LTO (link time optimization). The `eu-readelf` and `libdw` utilities now can read and handle `.gnu.debuglto_` sections, and correctly resolve file names for functions that are defined across CUs (compile units). * The `eu-nm` utility now explicitly identifies weak objects as `V` and common symbols as `C`. * The `debuginfod` server can now index `.deb` archives and has a generic extension to add other package archive formats using the `-Z EXT[=CMD]` option. For example `-Z '.tar.zst=zstdcat'` indicates that archives ending with the `.tar.zst` extension should be unpacked using the `zstdcat` utility. * The `debuginfo-client` tool has several new helper functions, such as `debuginfod_set_user_data`, `debuginfod_get_user_data`, `debuginfod_get_url` and `debuginfod_add_http_header`. It also supports `file://` URLs now.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:05:54 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:4571 0 None None None 2020-11-04 02:05:58 UTC

Description Frank Ch. Eigler 2020-02-18 17:00:36 UTC
As normal, let's rebase elfutils for rhel 8.3.

Comment 1 Mark Wielaard 2020-03-25 14:00:14 UTC
upstream release imminent

Comment 9 errata-xmlrpc 2020-11-04 02:05:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (elfutils bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4571


Note You need to log in before you can comment on or make changes to this bug.